<?php
require_once("RTD_functions.php");
set_time_limit(0);

add_shortcode('BG_Colors', 'BG_Colors');
function BG_Colors($atts) {
    $atts = shortcode_atts(
            array(
        'cols' => 3,
        'width' => 200,
        'height' => 50
            ), $atts);
    return getbgcolor($atts['cols'], $atts['width'], $atts['height']);
}

function getbgcolor($cols, $w, $h) {
    global $post;
    $proids = getPeoID('api_pro_ids');
    $pro_id = get_post_meta($post->ID, 'wp_pro_ID', TRUE);
    $s = '';
    if (count($proids) > 0) {
        foreach ($proids as $fetId) {

            if ($pro_id == $fetId->peo_id) {

                $params = array();

                $params['action'] = 'GetProductBGColors';

                $params['product_id'] = $fetId->peo_id;

                $data = RTD_Post($params);

                $parsed_data = RTD_XML_Parser($data);
                //var_dump($parsed_data["RTD_REPLY"]['BGCOLORGROUP_1']);die;
                $s .= "<table class='api_bgcolor' width='100%'><tbody><tr>";

                $i = 0;
                if(is_array($parsed_data["RTD_REPLY"]['BGCOLORGROUP_1'])&&count($parsed_data["RTD_REPLY"]['BGCOLORGROUP_1'])>0){
                foreach ($parsed_data["RTD_REPLY"]['BGCOLORGROUP_1'] as $products_array) {

                    if (is_array($products_array)) {
                        if ($i == $cols) {

                            $s .= "</tr>";

                            $s .= "<tr>";

                            $i = 0;

                        }

                        $s .= "<td style='padding: 0px;'><div class='bgcolors_box' style='width:" . $w . "px; height:" . $h . "px; background-color:" . $products_array['BGCOLOR_HEX'] . ";'></div><span class='ap_color_name'>".$products_array['BGCOLOR_NAME']." </span></td>";

                        $i++;

                    }

                }
            }
                $s .= "</tr></tbody></table>";

            } 
        }

    }

    return $s;

}



add_shortcode('FG_Colors', 'FG_Colors');



function FG_Colors($atts) {

    $atts = shortcode_atts(

            array(

        'cols' => 3,

        'width' => 200,

        'height' => 50

            ), $atts);

    return getColor($atts['cols'], $atts['width'], $atts['height']);

}



function getColor($cols, $w, $h) {

    global $post;

    $pro_id = get_post_meta($post->ID, 'wp_pro_ID', TRUE);

    //$proids = getPeoID('api_color_options');

    $proids = getPeoID('api_pro_ids');

    $s = '';

    if (count($proids) > 0) {

        foreach ($proids as $fetId) {

            if ($pro_id == $fetId->peo_id) {

                $params = array();

                $params['action'] = 'GetProductColors';

                $params['product_id'] = $fetId->peo_id;

                $data = RTD_Post($params);

                $parsed_data = RTD_XML_Parser($data);

                $s .= "<table class='api_fgcolor' width='100%'><tbody><tr>";

                $i = 0;
if(is_array($parsed_data["RTD_REPLY"]['COLORGROUP_1'])&&count($parsed_data["RTD_REPLY"]['COLORGROUP_1'])>0){
                foreach ($parsed_data["RTD_REPLY"]['COLORGROUP_1'] as $products_array) {

                    if (is_array($products_array)) {

                        if ($i == $cols) {

                            $s .= "</tr>";

                            $s .= "<tr>";

                            $i = 0;

                        }

                        $s .= "<td style='padding: 0px;'><div class='colors_box' style='width:" . $w . "px; height:" . $h . "px; background-color:" . $products_array['COLOR_HEX'] . ";'></div><span class='ap_color_name'>".$products_array['COLOR_NAME']." </span></td>";

                        $i++;

                    }

                }
            }
                $s .= "</tr></tbody></table>";

            } 
        }

    }

    
    return $s;

}



add_shortcode('Clipart', 'Clip_art');



function Clip_art($atts) {

    $atts = shortcode_atts(

            array(

        'cols' => 3,

        'width' => ''

            ), $atts);

    return getClip_art($atts['cols'], $atts['width']);

}



function getClip_art($cols, $w) {

    global $post;

    $pro_id = get_post_meta($post->ID, 'wp_pro_ID', TRUE);

    //$proids = getPeoID('api_cliparts_options');

    $proids = getPeoID('api_pro_ids');

    $s = '';

    if (count($proids) > 0) {

        foreach ($proids as $fetId) {

            if ($pro_id == $fetId->peo_id) {

                $params1 = array();

                $params1['action'] = 'GetProductClipartsCategories';

                $params1['product_id'] = $fetId->peo_id;

                $data1 = RTD_Post($params1);

                $parsed_data1 = RTD_XML_Parser($data1);

                $cat_id = $parsed_data1["RTD_REPLY"]['CLIPARTCATEGORYGROUP_3']['CLIPARTCATEGORY_1']['CLIPARTCATEGORY_ID'];

                $params = array();

                $params['action'] = 'GetProductCliparts';

                $params['cliparts_categories_id'] = $cat_id;

                $data = RTD_Post($params);

                $parsed_data = RTD_XML_Parser($data);

                $s .= "<table class='api_clipart' width='100%'><tbody><tr>";

                $i = 0;
                if(is_array($parsed_data["RTD_REPLY"])&&count($parsed_data["RTD_REPLY"])>0){
                    foreach ($parsed_data["RTD_REPLY"] as $products_array) {
                        if ($i == $cols) {

                            $s .= "</tr>";

                            $s .= "<tr>";

                            $i = 0;

                        }

                        $s .= "<td class='clipart_box'><img src='" . $products_array['CLIPART_THUMB'] . "' width='" . $w . "px' /></td>";

                        $i++;

                    }
                }

            } 

        }

        $s .= "</tr></tbody></table>";

    }

    return $s;

}



add_shortcode('Fonts', 'Fonts');



function Fonts($atts) {

    $atts = shortcode_atts(

            array(

        'cols' => 3

            ), $atts);

    return getfonts($atts['cols']);

}



function getfonts($cols) {

    global $post;

    $pro_id = get_post_meta($post->ID, 'wp_pro_ID', TRUE);

    //$proids = getPeoID('api_pfonts_options');

    $proids = getPeoID('api_pro_ids');

    $s = '';

    if (count($proids) > 0) {

        foreach ($proids as $fetId) {

            if ($pro_id == $fetId->peo_id) {

                $params = array();

                $params['action'] = 'GetProductFonts';

                $params['product_id'] = $fetId->peo_id;

                $data = RTD_Post($params);

                $parsed_data = RTD_XML_Parser($data);

                //var_dump($parsed_data["RTD_REPLY"]['FONTGROUP_1']);

                $s .= "<table class='api_fonts' width='100%'><tbody><tr>";

                $i = 0;
if(is_array($parsed_data["RTD_REPLY"]['FONTGROUP_1'])&&count($parsed_data["RTD_REPLY"]['FONTGROUP_1'])>0){
                foreach ($parsed_data["RTD_REPLY"]['FONTGROUP_1'] as $products_array) {

                    if (is_numeric($products_array['FONT_ID'])) {

                        //var_dump($products_array['FONT_ID']);

                        //mysql_query("INSERT INTO `" . $wpdb->prefix . "api_pfonts` (`id` ,`font_id` ,`pros_id` ,`font_name` ,`font_image` )

                        //VALUES (NULL , '" . $products_array['FONT_ID'] . "', '" . $fetId . "', '" . $products_array['FONT_NAME'] . "', '" . $products_array['FONT_IMAGE'] . "');");

                        if ($i == $cols) {

                            $s .= "</tr>";

                            $s .= "<tr>";

                            $i = 0;

                        }

                        $s .= "<td><img class='api_clipart_img' src='" . $products_array['FONT_IMAGE'] . "' /></td>";

                        $i++;

                    }

                }
            }
                $s .= "</tr></tbody></table>";

            }

        }

    }

    

    return $s;

}



add_shortcode('General_Templates', 'General_Templates');



function General_Templates($atts) {

    $atts = shortcode_atts(

            array(

        'cols' => 3,

        'width' => 150

            ), $atts);

    return getGtemp($atts['cols'], $atts['width']);

}



function getGtemp($cols, $w) {

    global $wpdb, $post;

    $s = '';
    //$s .=(wp_script_is('jquery'))?'':wp_enqueue_script("jquery");

    $wpx = $w . "px";

    //$sss1font969 = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_pgentemps_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post->ID . "");

    $sss1font969 = mysql_query("SELECT product_id as peo_id FROM " . $wpdb->prefix . "api_pro_ids WHERE post_id = " . $post->ID);

    $cuonn1fo799n = mysql_num_rows($sss1font969);

    $ssRpf8ont99 = mysql_fetch_array($sss1font969);



    if ($cuonn1fo799n > 0) {

        $ii = 1;

        //get categories of temp from api

        $params = array();

        $params['action'] = 'GetGeneralTemplatesCategories';

        $params['product_id'] = $ssRpf8ont99['peo_id'];

        $data = RTD_Post($params);

        $parsed_data = RTD_XML_Parser($data);

        $s .= "<div id='generalTemp'>";

        ?>			



        <?php



        $numcol21 = 3;

        if (!empty($numcol21)) {

            $tot3 = $numcol21 + 1;

        } else {

            $tot3 = 4;

        }

        $ctemp_parents = array();

        $j = 1;

        $countArr = array();



        foreach ($parsed_data["RTD_REPLY"] as $cat_temp_array) {

            if ($cat_temp_array['TEMPLATE_PARENT_CATEGORY_ID'] == 0) {

                $countArr[$cat_temp_array['TEMPLATE_CATEGORY_ID']] += $cat_temp_array['TEMPLATES_INSIDE'];

            }

            else

                $countArr[$cat_temp_array['TEMPLATE_PARENT_CATEGORY_ID']] += $cat_temp_array['TEMPLATES_INSIDE'];

        }

        foreach ($parsed_data["RTD_REPLY"] as $cat_temp_array) {

            if ($countArr[$cat_temp_array['TEMPLATE_CATEGORY_ID']] > 0 && $cat_temp_array['TEMPLATE_PARENT_CATEGORY_ID'] == 0) {

                $ctemp_parents[$j]['TEMPLATE_CATEGORY_ID'] = $cat_temp_array['TEMPLATE_CATEGORY_ID'];

                $ctemp_parents[$j]['TEMPLATE_CATEGORY_NAME'] = $cat_temp_array['TEMPLATE_CATEGORY_NAME'];

                $ctemp_parents[$j]['TEMPLATES_INSIDE'] = $cat_temp_array['TEMPLATES_INSIDE'];

                $j++;

            }

        }



        //var_dump(count($ctemp_parents));die();

        for ($t1 = 1; $t1 < $tot3; $t1++) {

            $s .= '<div class="col_ctemp">';

            $n = ceil(count($ctemp_parents) / ($tot3 - 1));

            for ($t = $t1 * $n - $n + 1; $t <= $n * $t1; $t++) {

                $cat_id = $ctemp_parents[$t]['TEMPLATE_CATEGORY_ID'];

                if ($cat_id > 0) {

                    $s .= "<div class=\"general_sub_ctemp\">";

                    $s .= "<a id=\"" . $cat_id . "\" href=\"javascript:void(0);\" onclick=\"show_sub_ctemp('" . $cat_id . "');\">" . $ctemp_parents[$t]['TEMPLATE_CATEGORY_NAME'] . "(" . $countArr[$cat_id] . ")</a>";

                    $s .= "<ul id='sub_ctemps_" . $cat_id . "' class='sub_ctemps'></ul>";

                    $s .= "</div>";

                }

            }

            $s .= '</div>';

        }

        $kk = $ssRpf8ont99['peo_id'];

        $url = WP_PLUGIN_URL;

        $s .= <<<EOF
            
            <div style="clear:both;"></div>         

            <div id="show_generalTemp">



            </div>

            <div style="clear:both;"></div>

            <style>

                .general_sub_ctemp ul{

                    padding-left: 20px;

                }

                #generalTemp .active{

                    font-weight: bold;

                    color: black;

                }

                .general_temp{

                    width: $wpx;

                    float:left;

                    padding:5px;

                }

                .col_ctemp{

                    width:33%;

                    float:left;

                    /*padding:0px 10px;*/

                    padding-top:20px;

                }

                .general_sub_ctemp{

                    width:100%;

                    float:left;

                    padding:0px 10px;

                }

                .sub_ctemps a{

                    font-size: 12px;

                }

                .sub_ctemps a:hover{

                    text-decoration: none;

                }

                #generalTemp a:hover{

                    text-decoration: none;

                }

                #generalTemp{

                    padding-bottom: 30px;

                }

                #show_generalTemp{

                    padding-top: 30px;

                    font-weight: bold;

                }

            </style>

            
            <script src="$url/auto_post_from_api/js/jquery-1.7.2.js" type="text/javascript"></script>

            <script type="text/javascript"> 

                function goToByScroll(id){

                    jQuery('html,body').animate({scrollTop: jQuery("#"+id).offset().top},'slow');

                }

                jQuery(document).ready(function(){

                    jQuery('.sub_ctemps').hide();

                    jQuery('#show_generalTemp').hide();

                });

                function show_sub_ctemp(ctemp_id){

                    jQuery('.active').each(function(index) {

                        jQuery(this).removeClass('active');

                    });

                                                  

                    jQuery('#ctemp_'+ctemp_id).addClass("active");

                    jQuery.ajax({

                        url: '$url/auto_post_from_api/get_sub_ctemps.php',

                        type: 'POST',

                        data: {

                            'ctemp_id':ctemp_id,

                            'pros_id':'$kk'

                        },

                        dataType: 'json',

                        error: function(){alert('try again')},

                        success: function(html){                          

                            sub_restults(ctemp_id,html);

                        }

                    });

                }

                                                                                    

                                                                                   

                function sub_restults(ctemp_id, data){

                    jQuery('.sub_ctemps').hide();

                                                                                        

                    if(data.length>0){

                                                                                            

                        if(data[0].ctemp_id)

                        {

                            //alert('1');

                            jQuery('#sub_ctemps_'+ctemp_id).html('').show();

                            jQuery.each(data,function(index,value) {

                                jQuery('#sub_ctemps_'+ctemp_id).append('<li><a id="sub_ctemp_'+data[index].ctemp_id+'" href="javascript:void(0);" onclick="show_temps('+data[index].ctemp_id+');">'+data[index].ctemp_name+' ('+data[index].ctemp_inside+')</a></li>');

                            });

                        }

                        else{

                            //alert('2');

                            jQuery('#show_generalTemp').html('').show();

                            goToByScroll("show_generalTemp");                                      

                            //$('#show_generalTemp').append('<h1>ee</h1>');

                            var ccl=0;

                            jQuery.each(data,function(index,value) {

                                if(ccl==$cols){

                                    ccl=0;

                                    jQuery('#show_generalTemp').append('<div style="clear:both;"></div>');

                                }

                                jQuery('#show_generalTemp').append('<div class="general_temp"><a href="'+data[index].temp_link+'"><img title="'+data[index].temp_name+'" src="'+data[index].temp_image+'" width="$wpx" /></a></div>');

                                    ccl++;

                            });

                        }

                    }

                                                                                        

                }

                                                                                    

                function show_temps(ctemp_id){

                    jQuery('.active').each(function(index) {

                        jQuery(this).removeClass('active');

                    }); 

                    jQuery('#sub_ctemp_'+ctemp_id).addClass("active");

                    jQuery.ajax({

                        url: '$url/auto_post_from_api/get_ctemps.php',

                        type: 'POST',

                        data: {

                            'ctemp_id':ctemp_id,

                            'pros_id':'$kk'

                        },

                        dataType: 'json',

                        error: function(){alert('try again')},

                        success: function(html){                          

                            temp_restults(html);

                        }

                    });

                }

                                                                                    

                function temp_restults(data){

                    if(data.length>0){

                        jQuery('#show_generalTemp').html('').show();

                        goToByScroll("show_generalTemp");                                        

                        //$('#show_generalTemp').append('<h1>ee</h1>');

                        var sccl=0;

                        jQuery.each(data,function(index,value) {

                                if(sccl==$cols){

                                    sccl=0;

                                    jQuery('#show_generalTemp').append('<div style="clear:both;"></div>');

                                }

                            jQuery('#show_generalTemp').append('<div class="general_temp"><a href="'+data[index].temp_link+'"><img title="'+data[index].temp_name+'" src="'+data[index].temp_image+'" width="$wpx" /></a></div>');

                                sccl++;

                        });

                    }

                }

                                                                                    

            </script>

        </div>

EOF;

    } else {

        $s = 'Sorry, you have to allow color to show on this product';

    }

    return $s;

}



add_shortcode('Product_Templates', 'Product_Templates');



function Product_Templates($atts) {

    $atts = shortcode_atts(

            array(

        'cols' => 3,

        'width' => 150

            ), $atts);

    return gettemp($atts['cols'], $atts['width']);

}



function gettemp($cols, $w) {

    global $wpdb, $post;

    //$proids = $wpdb->get_results("SELECT * FROM `" . $wpdb->prefix . "api_ptemps_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post->ID . "");

    $proids = $wpdb->get_results("SELECT product_id as peo_id FROM " . $wpdb->prefix . "api_pro_ids WHERE post_id = " . $post->ID);

    $s = '';

//    print_r($proids);

    foreach ($proids as $fetId) {

        $params = array();

        $params['action'] = 'GetProductTemplates';

        $params['product_id'] = $fetId->peo_id;

//        print_r($params);

        $data = RTD_Post($params);

        $parsed_data = RTD_XML_Parser($data);

//        var_dump($parsed_data);

        if (!is_array($parsed_data["RTD_REPLY"])) {

            return '';

        };

        $s .= "<table class='api_product_templates' width='100%'><tbody><tr>";

        $i = 0;

        // $parsed_data return array; $parsed_data["RTD_REPLY"] is string
if(is_array($parsed_data["RTD_REPLY"])&&count($parsed_data["RTD_REPLY"])>0){
        foreach ($parsed_data["RTD_REPLY"] as $products_array) {

            if (!empty($products_array['TEMPLATE_ID'])) {

//                mysql_query("INSERT INTO `" . $wpdb->prefix . "api_ptemps` (`id` ,`temp_id` ,`pros_id` ,`temp_thumb` ,`temp_image` ,`temp_link`)

//                VALUES (NULL , '" . $products_array['TEMPLATE_ID'] . "', '" . $products_array['PRODUCT_ID'] . "', '" . $products_array['TEMPLATE_THUMBNAIL'] . "', '" . $products_array['TEMPLATE_IMAGE'] . "', '" . $products_array['TEMPLATE_LINK'] . "');");

                if ($i == $cols) {

                    $s .= "</tr>";

                    $s .= "<tr>";

                    $i = 0;

                }

                $s .= "<td> <a href='" . $products_array['TEMPLATE_LINK'] . "' target='_blank' ><img src='" . $products_array['TEMPLATE_THUMBNAIL'] . "' width='" . $w . "' /></a></td>";

                $i++;

            }

        }
}
        $s .= "</tr></tbody></table>";

    }

    return $s;

}



add_shortcode('Combined_Templates', 'Combined_Templates');



function Combined_Templates($atts) {

    $atts = shortcode_atts(

            array(

        'cols' => 3,

        'width' => 200

            ), $atts);

    return gettemp($atts['cols'], $atts['width']) . getGtemp($atts['cols'], $atts['width']);

}

add_shortcode('Price_Calculator', 'Price_Calculator');



function Price_Calculator($atts) {

    $atts = shortcode_atts(

            array(

        'imglink' => home_url() . "/wp-content/plugins/auto_post_from_api/images/calculatepricing.png",

        'width' => 400,

        'height' => 525

            ), $atts);

    return getCalculator($atts['imglink'], $atts['width'], $atts['height']);

}



function getCalculator($imglink, $w, $h) {

    global $wpdb, $post;

    $prosettings = mysql_query("select * from ".$wpdb->prefix."api_settings where id = 1");

        $rosSet = mysql_fetch_array($prosettings);

        $apiusers = $rosSet['api_usrname'];

    $pr = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "api_pro_ids WHERE post_id=$post->ID");

    //$pr =  $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."api_pro_ids");

    $cat = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "api_cat_ids WHERE post_id=$pr->catss_id");

    $s = "<div class='pcalculator'><img style='cursor: pointer;' onclick=\"window.open('http://designer.realtimedesigner.com/".$apiusers."/instant_pricing/index.php&system_products_categories_id=" . $cat->cat_id . "&product_id=" . $pr->product_id . "','PriceCalculator', config='width=$w,height=$h,resizable=yes,toolbar=no,menubar=no,location=no,directories=no,status=no,scrollbars=yes');\" src=\"$imglink\" alt=\"\" /></div>";

    return $s;

}



add_shortcode('Price_Matrix', 'Price_Matrix');



function Price_Matrix() {
    return getPricematrix();

}



function getPricematrix() {

    global $post;

    $params = array();

    $pro_idd = get_post_meta($post->ID, "wp_pro_ID", true);

    $pro_price_matrix = get_post_meta($post->ID, "wp_price_matrix_input_table", true);

// Setting the parameters

    $params['action'] = 'GetProductCompiledDescription';

    $params['product_id'] = $pro_idd;

    $params['description'] = $pro_price_matrix;

// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.

    $data = RTD_Post($params);

    $parsed_data = RTD_XML_Parser($data);


    $s = "

        <style type='text/css'>

        table,tr, td {border-collapse: collapse;}

        .pricingtable_table td{

            vertical-align: middle;

            padding: 5px;

            text-align:center;

            border-collapse: collapse;

            border: 1px solid black;

        }

        .pricingtable_table_header, .pricingtable_table_header_empty{

            background-color: #ff0000;

        }

        </style>

    ";

    $s .= "<div id='pricematrixbox'>";

    $s .= "<div>" . $parsed_data["RTD_REPLY"]["PARSED_DESCRIPTION"] . "</div>";

    $s .= "</div>";

    return $s;

}



add_shortcode('RTD_online_designer', 'RTD_online_designer');



function RTD_online_designer($atts) {

    $atts = shortcode_atts(array(

        'imglink' => home_url()."/wp-content/plugins/auto_post_from_api/images/bluebuttondesignitnow.png"

            ), $atts);

    return getRTD_online_designer($atts['imglink']);

}



function getRTD_online_designer($l) {

    global $post;

    $s = "

        <div class='productlink'>

            <a href='#'  onclick=\"window.open('" . home_url() . "/?page_id=" . $post->ID . "&view=1','PriceCalculator', config='width=1200,height=970,resizable=yes,toolbar=no,menubar=no,location=no,directories=no,status=no,scrollbars=yes');\">

                <img src=\"$l\" />

            </a>

        </div>

    ";



    return $s;

}



// get data

function getPeoID($index) {

    global $wpdb;

    return $result = $wpdb->get_results("SELECT product_id as peo_id FROM " . $wpdb->prefix . $index);

}
// product image
add_shortcode('Product_image', 'Product_image');

function Product_image($atts) {
    global $post;
    $atts = shortcode_atts(array(
        'imglink' => get_post_meta($post->ID, "wp_pro_image", true)
       
            ), $atts);
    return getProduct_image($atts['imglink']);
}

function getProduct_image($l) {
    global $post;
    $s = "
        <div class='ap_product_image'>
            <a href='#'>
                <img src=\"$l\"/>
            </a>
        </div>
    ";
    return $s;
}
?>