<?php


/*******************************************


RealTimeDesigner.Com - API Sample File





SAMPLE CODE TO FIND YOUR PRODUCT IDS





This sample shows how to retrieve all of your Products and Product Categories ID, to be used by other API functions.


Also, this sample will show how to query the first found Product for its full details.





Used Actions in this sample:


GetProductIDs - GetProductDetails


*******************************************/





require("RTD_functions.php");





$params=array();





// Setting the parameters


$params['action']='GetProductIDs';





// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.


$data = RTD_Post($params);


$parsed_data = RTD_XML_Parser($data);





// print results as arrays


echo "<b>RTD Products and Product Category IDs for username $RTD_API_USERNAME</b><br><br>\n";


echo "<pre>\n";


print_r($parsed_data);


echo "</pre><hr>\n";








// Get the ID of all products into the first found category, and query them





$i=1;





foreach ($parsed_data["RTD_REPLY"]["CATEGORY_1"] as $products_number => $products_array) {


	if (strpos($products_number,'PRODUCT_')!==false) { // parse only the PRODUCT related entires


		


		$product_id=$products_array["PRODUCT_ID"];


		


		if ($product_id>0) {


			echo "<b>Query details for Product ID: $product_id</b><br><br>\n";


			


			//empty the array


			$params=array();


			


			//Setting paramenters


			$params['action']='GetProductDetails';


			$params['product_id']=$product_id;


			


			// Execute the API operation and parse the resulting XML.


			$data = RTD_Post($params);


			$parsed_data = RTD_XML_Parser($data);


			


			echo "<pre>\n";


			print_r($parsed_data);


			echo "</pre><hr>\n";


		}


	}


}


?>